<?php


namespace AutoAdmin\Bundle\Core\Slugger;


use Symfony\Component\String\Slugger\AsciiSlugger;

class Slugger
{
    protected AsciiSlugger $ascii;

    public function __construct()
    {
        $this->ascii = new AsciiSlugger();
    }

    public function slugify(string $string): string
    {
        $string = mb_strtolower($string);
        $slug = $this->ascii->slug($string);

        return $slug;
    }

}